al_have_opengl_extension(3)

NAME

al_have_opengl_extension - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_opengl.h>
    bool al_have_opengl_extension(const char *extension)

DESCRIPTION

This function is a helper to determine whether an OpenGL extension is available on the given display or not.

Example:

    bool packedpixels = al_have_opengl_extension("GL_EXT_packed_pixels");

If packedpixels is true then you can safely use the constants related to the packed pixels extension.

Returns true if the extension is available; false otherwise.